#+ELEVENTY_COLLECTIONS: _posts
#+ELEVENTY_BASE_DIR: ~/code/static-blog/
#+TITLE: Emacs News
#+ELEVENTY_CATEGORIES: emacs emacs-news
* 2025-07-21 Emacs news
    :PROPERTIES:
    :EXPORT_ELEVENTY_PERMALINK: /blog/2025/07/2025-07-21-emacs-news/
    :EXPORT_ELEVENTY_FILE_NAME: blog/2025/07/2025-07-21-emacs-news/
    :EXPORT_DATE: 2025-07-21T11:18:37-0400
    :END:

- Upcoming events ([[https://emacslife.com/calendar/emacs-calendar.ics][iCal file]], [[https://emacslife.com/calendar/][Org]]):
  - Emacs APAC: Emacs APAC meetup (virtual) https://emacs-apac.gitlab.io/announcements/ Sat Jul 26 0130 America/Vancouver - 0330 America/Chicago - 0430 America/Toronto - 0830 Etc/GMT - 1030 Europe/Berlin - 1400 Asia/Kolkata - 1630 Asia/Singapore
  - Emacs Berlin (hybrid, in English) https://emacs-berlin.org/ Wed Jul 30 0930 America/Vancouver - 1130 America/Chicago - 1230 America/Toronto - 1630 Etc/GMT - 1830 Europe/Berlin - 2200 Asia/Kolkata -- Thu Jul 31 0030 Asia/Singapore
  - M-x Research: TBA https://m-x-research.github.io/ Fri Aug 1 0800 America/Vancouver - 1000 America/Chicago - 1100 America/Toronto - 1500 Etc/GMT - 1700 Europe/Berlin - 2030 Asia/Kolkata - 2300 Asia/Singapore
- Emacs configuration:
  - [[http://yummymelon.com/devnull/customizing-the-emacs-help-menu.html][Customizing the Emacs Help Menu]] ([[https://www.reddit.com/r/emacs/comments/1m3dpej/customizing_the_emacs_help_menu/][Reddit]], [[https://irreal.org/blog/?p=13133][Irreal]])
  - [[https://mastodon.online/@CryogenicIce9/114858392406340745][Suppressing warning messages with (setq native-comp-async-report-warnings-errors 'silent)]]
  - [[https://github.com/kn66/package-git.el][kn66/package-git.el - automatic Git version control for Emacs packages]] ([[https://www.reddit.com/r/emacs/comments/1m31lwc/oc_i_created_packagegitel_automatic_git_version/][Reddit]])
  - [[https://www.miskatonic.org/2025/07/16/emacs-stable/][William Denton: I'm sticking with Emacs stable releases]]
  - [[https://davemq.github.io/2025/07/14/emacs-config-home.html][Updating my home Emacs config | Dave’s Blog]] ([[https://fosstodon.org/@davemq/114853447581337830][@davemq@fosstodon.org]])
  - [[https://github.com/gornskew/skewed-emacs][Skewed Emacs]] ([[https://www.reddit.com/r/emacs/comments/1m3p0fi/skewed_emacs/][Reddit]])
  - [[https://www.reddit.com/r/emacs/comments/1m1hzyl/single_emacs_config_for_multiple_environments/][Single Emacs Config for Multiple Environments, Machines, and Users]]
  - [[https://lambdaland.org/posts/2025-07-15_bedrock_release/][Bedrock version 1.5.0 released]] ([[https://www.reddit.com/r/emacs/comments/1m1h87v/bedrock_version_150_released/][Reddit]])
- Emacs Lisp:
  - [[https://emacs.dyerdwelling.family/emacs/20250719094720-emacs--building-an-emacs-cursor-heatmap-pt1/][James Dyer: Building a New Package From Scratch - Cursor Heatmap Pt1]]
  - [[https://github.com/viglioni/l-el?tab=readme-ov-file][viglioni/l-el: l.el is a series of lisp functions and macros in order to make emacs-lisp more modern and functional]] ([[https://bsky.app/profile/laura.viglioni.com/post/3ltzvx4jyc22l][@laura.viglioni.com]])
- Appearance:
  - [[https://www.reddit.com/r/emacs/comments/1lzwq34/autodark_0133_new_minor_version_released/][[auto-dark] 0.13.3 - New minor version released!]]
  - [[https://github.com/0xcefaedfe/hercules-theme][Hercules theme]] ([[https://www.reddit.com/r/emacs/comments/1m15gz3/hercules_theme/][Reddit]])
- Navigation:
  - [[https://cathode.church/@MinervasRefuge/114888502398625805][Tip: follow-mode, two-column editing]]
- Dired:
  - [[https://protesilaos.com/codelog/2025-07-18-emacs-dired-preview-0-6-0/][Protesilaos Stavrou: Emacs: dired-preview version 0.6.0]]
- Writing:
  - [[https://www.matem.unam.mx/~omar/apropos-emacs.html#writing-experience][Omar Antolin: Writing Experience]] ([[https://mathstodon.xyz/@oantolin/114890671803436392][@oantolin@mathstodon.xyz]])
  - [[https://mike.hostetlerhome.com/from-obsidian-to-emacs][From Obsidian to Emacs — Where Are The Wise Men?]] ([[https://appdot.net/@mikehoss/114869220494966108][@mikehoss@appdot.net]])
  - [[https://macadie.info/2025/07/21/emacs-carnival-writing-experience/][Eric MacAdie: Emacs Carnival: Writing Experience]]
  - [[https://www.youtube.com/watch?v=nX0-Sg90RIk][Writing Tools in Emacs - Emacs Writing Studio]] (19:22)
- Org Mode:
  - [[https://chrismaiorana.com/ask-org-mode-agenda/][Chris Maiorana: Ask me about my Org Mode agenda]] ([[https://www.youtube.com/watch?v=2w0TxXmIomM][YouTube]] 5:50, [[https://irreal.org/blog/?p=13129][Irreal]])
  - [[https://i.redd.it/zm6gix8a17df1.png][better-org-habit.el: ️GAME-CHANGING package for org-habit]] ([[https://www.reddit.com/r/emacs/comments/1m16u57/betterorghabitel_gamechanging_package_for_orghabit/][Reddit]])
  - [[https://github.com/llcc/org-table-highlight][llcc/org-table-highlight: Highlight Org-mode table columns and rows using colored overlays]] ([[https://www.reddit.com/r/emacs/comments/1m33y9k/orgtablehighlight_colorful_rows_and_columns_in/][Reddit]])
  - [[https://github.com/paul-in/polymacs][Polymacs - A SuperMemo-like package for incremental learning in Emacs]] ([[https://www.reddit.com/r/emacs/comments/1m4lbk2/oc_polymacs_a_supermemolike_package_for/][Reddit]])
  - [[https://list.orgmode.org/87bjpfoxqs.fsf@localhost][Org Mode requests: [FR] Org export: expanding links to included files]] - feature request
  - [[https://framapiaf.org/@debacle/114861960764437496][maybe executing Org Babel blocks in other modes]]
  - [[https://www.reddit.com/r/orgmode/comments/1m55qjx/updated_orgsupertag_40/][(Updated) org-supertag 4.0]]
  - [[https://ottawa.place/@plantarum/114853237390514118][Suppressing warnings in org-latex-preview]]
  - Org development:
    - [[https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/etc/ORG-NEWS?id=8ef67956d44b710e9e4d0b9871367457e61a0683][Use Graphviz Dot mode if available]]
    - [[https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/etc/ORG-NEWS?id=cb7bcfdca117e3875618d73ad3ca5252a8f323e3][Fall back to Fundamental mode when editing code]]
- Completion:
  - [[https://www.youtube.com/watch?v=ze1J7MG0sFg][Is the Default Emacs Completion UI Good? - System Crafters Live!]] (01:53:35)
- Coding:
  - [[https://github.com/kn66/project-checker.el][kn66/project-checker.el - project-wide and file-specific checks in Emacs]] ([[https://www.reddit.com/r/emacs/comments/1m4bboa/oc_i_created_projectcheckerel_automatic/][Reddit]])
  - [[https://social.snamellit.com/objects/63849d1f-a6f5-4b44-ad5f-e9e6556dff09][treesitter note about ABI version change]]
  - [[https://www.homepages.ucl.ac.uk/~ucecesf/blog/20250717.html][Navigating Julia source code files using Xref in Emacs]] ([[https://fediscience.org/@ericsfraga/114868014629380474][@ericsfraga@fediscience.org]])
  - [[https://www.youtube.com/watch?v=VUnY1LY4Las][Guile Stack Viewer, Metacommands in Arei, New Ares CLI, Custom Ports Backport | RDE Meetup #6]] (26:35)
  - [[https://github.com/dheerajshenoy/cpp-func-impl.el][dheerajshenoy/cpp-func-impl.el: Emacs package to insert a C++ method implementation in the corresponding source file.]] ([[https://www.reddit.com/r/emacs/comments/1m2sb9g/new_emacs_plugin_autogenerate_c_method/][Reddit]])
  - [[https://screwlisp.small-web.org/lispgames/LCKR-object-oriented-simulation-simulation/][Leonardo Calculus Knowledge Representation: Object Oriented Simulation Simulation Lisp Useage (Great Example if I do say)]] ([[https://gamerplus.org/@screwlisp/114888938117335951][@screwlisp@gamerplus.org]])
  - [[https://fosstodon.org/@grafov/114870038632069056][Some scripts for automating Magit]]
- Mail, news, and chat:
  - [[https://davemq.github.io/2025/07/15/gnus-split-subject.html][Splitting the subject in Gnus summary subject lines | Dave’s Blog]] ([[https://fosstodon.org/@davemq/114859005507396410][@davemq@fosstodon.org]])
- Multimedia:
  - [[https://zeniesqis.statichost.eu/code/2025-07-14-the-emms-filter-system/][The EMMS filter system | Zenie’s Qis]] ([[https://piaille.fr/@Zenie/114881211607497426][@Zenie@piaille.fr]])
  - [[https://github.com/karthink/elfeed-tube/issues/43#issuecomment-3088774825][elfeed-tube now fetches YouTube video transcripts again]] ([[https://mastodon.social/@gnomon/114881369218205310][@gnomon@mastodon.social]])
- Fun:
  - [[https://github.com/kn66/pomo-cat.el][I made pomo-cat.el – A pomodoro timer that shows a chill cat in the center of your Emacs]] ([[https://www.reddit.com/r/emacs/comments/1m5ijjj/oc_i_made_pomocatel_a_pomodoro_timer_that_shows_a/][Reddit]])
- AI:
  - [[https://github.com/localredhead/ob-aider.el][localredhead/ob-aider.el]] ([[https://www.reddit.com/r/emacs/comments/1m35c77/introducing_obaider/][Reddit]])
- Community:
  - [[https://www.reddit.com/r/emacs/comments/1m06p9l/fortnightly_tips_tricks_and_questions_20250715/][Fortnightly Tips, Tricks, and Questions — 2025-07-15 / week 28]]
  - [[https://www.reddit.com/r/emacs/comments/1lzpyc8/pain_thread_recount_your_awful_nogood_needless/][Pain Thread: Recount Your Awful, No-Good Needless Suffering]]
  - [[https://www.reddit.com/r/emacs/comments/1m23kn7/emacs_changed_my_life_as_a_fully_blind_programmer/][Emacs changed my life as a *fully blind* programmer and part-time writer]] ([[https://irreal.org/blog/?p=13131][Irreal]])
  - [[https://protesilaos.com/codelog/2025-07-14-common-questions-about-prot-asks-videos-emacs-life/][Protesilaos Stavrou: Common questions about the ‘Prot Asks’ videos on Emacs and Life]]
  - [[https://protesilaos.com/codelog/2025-07-16-prot-asks-thomas-emacs-bjj-sport-cult-manga/][Protesilaos Stavrou: Prot Asks: Thomas about Emacs writing, Brazilian Jiu Jitsu, sport culture, and manga]]
  - [[https://protesilaos.com/codelog/2025-07-19-prot-asks-gino-emacs-data-engineer-open-source-chile/][Protesilaos Stavrou: Prot Asks: Gino about Emacs for data engineering, Open Source, and Chile]]
  - [[https://zacromero.com/post/emacs-discoverability/][Zac Romero: Emacs Discoverability]]
- Other:
  - [[https://www.reddit.com/r/emacs/comments/1m328eh/send_to_buffer_minor_mode/][Send To Buffer Minor Mode]]
  - [[https://taonaw.com/2025/07/17/in-emacs-when-you-press.html][TAONAW - yank-pop]]
  - [[https://github.com/twitchy-ears/metoffice-datahub-lib/][twitchy-ears/metoffice-datahub-lib: Emacs package to query, display, and cache information from the Metoffice Datahub service]] ([[https://loci.onl/@morix/114857576527778864][@morix@loci.onl]])
  - [[https://mbork.pl/2025-07-21_Artist_mode_and_Venn_diagrams][Marcin Borkowski: Artist mode and Venn diagrams]]
  - [[https://github.com/DeadSwitch404/ds-vault][DeadSwitch404/ds-vault: ds-vault is a minimal, hardened Emacs Lisp utility for encrypting, decrypting, and managing a KeePassXC-compatible password database using GnuPG.]] ([[https://mastodon.social/@TomsITCafe/114878773110059771][@TomsITCafe@mastodon.social]])
  - [[https://thanosapollo.org/posts/use-emacs-everywhere/][Thanos Apollo: Emacs Everywhere, even in Wayland]] ([[https://irreal.org/blog/?p=13135][Irreal]])
  - [[https://xenodium.com/emacs-send-to-aka-macos-sharing-merged-upstream][Alvaro Ramirez: Emacs send-to (aka macOS sharing) merged upstream]]  ([[https://www.reddit.com/r/emacs/comments/1m4k7pb/emacs_sendto_aka_macos_sharing_merged_upstream/][r/emacs]], also [[https://www.reddit.com/r/emacs/comments/1m4sl98/emacs_sendto_aka_macos_sharing_merged_upstream/][here]], [[https://irreal.org/blog/?p=13137][Irreal]])
  - [[https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79070][#79070 - [PATCH] Fix macOS dictation post NSTextInputClient migration in v30 - GNU bug report logs]] ([[https://indieweb.social/@xenodium/114891280426640026][@xenodium@indieweb.social]]) - testers wanted
- Emacs development:
  - emacs-devel:
    - [[https://lists.gnu.org/archive/html/emacs-devel/2025-07/msg00230.html][Discussion about thread-join, signal, and thread-signal]]
    - [[https://lists.gnu.org/archive/html/emacs-devel/2025-07/msg00290.html][MacOS/NS Events Processing Queue]] - help wanted figuring out performance issue
  - [[https://git.savannah.gnu.org/cgit/emacs.git/commit/etc/NEWS?id=5485bda52399a23d95ab593dcb748975ee0654d0][Improve documentation of 'quit-window']]
  - [[https://git.savannah.gnu.org/cgit/emacs.git/commit/etc/NEWS?id=e9deec70dac822f2f312497c6d7a7bd6b4e648bb][Remove the variable load-convert-to-unibyte]]
  - [[https://git.savannah.gnu.org/cgit/emacs.git/commit/etc/NEWS?id=813013691a9997cbdd483e1e5cef39453ac07d6d][Add "Send to..." context menu item to mouse.el]]
  - [[https://git.savannah.gnu.org/cgit/emacs.git/commit/etc/NEWS?id=6053a7f1a4a862bee6a83ab5d69531672c7f9652][Add more ways to exclude buffers in tab-line-mode. (Bug#78988)]]
- New packages:
  - [[package:awqat][awqat]]: Islamic prayer times (MELPA)
  - [[package:dock][dock]]: Integration for desktop environment's taskbar/dock (MELPA)
  - [[package:emc][emc]]: Invoking a C/C++ (et al.) build toolchain from ELisp (MELPA)
  - [[package:js-ts-defs][js-ts-defs]]: Find JavaScript variable definitions using tree-sitter (MELPA)
  - [[package:ninetyfive][ninetyfive]]: NinetyFive (MELPA)
  - [[package:python-tdd-mode][python-tdd-mode]]: Modern TDD Mode for Python (MELPA)
  - [[package:savefold][savefold]]: Persistence for various folding systems (MELPA)
  - [[package:vecdb][vecdb]]: An interface to vector databases for embeddings (GNU ELPA)

Links from [[https://www.reddit.com/r/emacs][reddit.com/r/emacs]], [[https://www.reddit.com/r/orgmode][r/orgmode]], [[https://www.reddit.com/r/spacemacs][r/spacemacs]], [[https://www.reddit.com/r/planetemacs][r/planetemacs]], [[https://mastodon.social/tags/emacs][Mastodon #emacs]], [[https://bsky.app/hashtag/emacs][Bluesky #emacs]], [[https://hn.algolia.com/?query=emacs&sort=byDate&prefix&page=0&dateRange=all&type=story][Hacker News]], [[https://lobste.rs/search?q=emacs&what=stories&order=newest][lobste.rs]], [[https://lemmy.world/c/emacs][lemmy.world]], [[https://lemmy.ml/c/emacs?dataType=Post&page=1&sort=New][lemmy.ml]], [[https://planet.emacslife.com][planet.emacslife.com]], [[https://www.youtube.com/playlist?list=PL4th0AZixyREOtvxDpdxC9oMuX7Ar7Sdt][YouTube]], [[http://git.savannah.gnu.org/cgit/emacs.git/log/etc/NEWS][the Emacs NEWS file]], [[https://emacslife.com/calendar/][Emacs Calendar]], and [[https://lists.gnu.org/archive/html/emacs-devel/2025-07][emacs-devel]]. Thanks to Andrés Ramírez for emacs-devel links. Do you have an Emacs-related link or announcement? Please e-mail me at [[mailto:sacha@sachachua.com][sacha@sachachua.com]]. Thank you!

